package org.jboss.hibernate.demo.model;
import java.util.HashSet;
import java.util.Set;

public class User  implements java.io.Serializable {
	
     // Fields    
     private int userId;
     private int version;
     private String firstname;
     private String lastname;
     private String username;
     private String password;
     private String email;
     private Set bids;
     private Set items;

    /** default constructor */
    public User() {
    }
    
    /** full constructor */
    public User(int userId, String firstname, String lastname, String username, String password, String email) {
        this.userId = userId;
        this.firstname = firstname;
        this.lastname = lastname;
        this.username = username;
        this.password = password;
        this.email = email;
    }
   
    // Property accessors
    public int getUserId() {
        return this.userId;
    }
    
    public void setUserId(int userId) {
        this.userId = userId;
    }

    public int getVersion() {
        return this.version;
    }
    
    public void setVersion(int version) {
        this.version = version;
    }

    public String getFirstname() {
        return this.firstname;
    }
    
    public void setFirstname(String firstname) {
        this.firstname = firstname;
    }

    public String getLastname() {
        return this.lastname;
    }
    
    public void setLastname(String lastname) {
        this.lastname = lastname;
    }

    public String getUsername() {
        return this.username;
    }
    
    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return this.password;
    }
    
    public void setPassword(String password) {
        this.password = password;
    }

    public String getEmail() {
        return this.email;
    }
    
    public void setEmail(String email) {
        this.email = email;
    }
    
//  Constructors

    public Set getBids() {
		return bids;
	}

	public void setBids(Set bids) {
		this.bids = bids;
	}

	public Set getItems() {
		return items;
	}

	public void setItems(Set items) {
		this.items = items;
	}
	
	public void addItem(Item item)
	{
		item.setUser(this);
		if (items == null)
		{
			items = new HashSet();			
		}
		items.add(item);
	}
}
