package org.jboss.hibernate.demo.test;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

import org.jboss.hibernate.demo.dao.AuctionDAO;
import org.jboss.hibernate.demo.model.User;

public class DemoTestsCleanup extends TestCase {

	public void testDeleteUsers() throws Exception {

		AuctionDAO auctionDAO = new AuctionDAO();

		User user1 = new User();
		User user2 = new User();
		User user3 = new User();

		user1.setUsername("jtw");
		user2.setUsername("jtw2");
		user3.setUsername("jtw3");
		
		auctionDAO.deleteBids();
		auctionDAO.deleteItems();
		
		auctionDAO.deleteUser(user1);
		auctionDAO.deleteUser(user2);
		auctionDAO.deleteUser(user3);

	}
	
	public DemoTestsCleanup(String x) {
		super(x);
	}

	public static Test suite() {
		return new TestSuite(DemoTestsCleanup.class);
	}

	public static void main(String[] args) throws Exception {
		TestRunner.run(suite());
	}

}
